Package org.gradle.tooling.events.problems

# Interface ProblemSummary

@Incubating public interface ProblemSummary
A problem summary.

Since:
  8.12
See Also:
  - `ProblemSummariesEvent`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCount()`
  The number of follow-up occurrences of the particular problem id.
  `ProblemId`
  `getProblemId()`
  The problem id that exceeded the threshold for the number of allowed events before we start the summarization.

- ## Method Details

  - ### getProblemId

    ProblemId getProblemId()
    The problem id that exceeded the threshold for the number of allowed events before we start the summarization.
    Since:
      8.12

  - ### getCount

    Integer getCount()
    The number of follow-up occurrences of the particular problem id. The total amount of occurences is `threshold + count`
    Since:
      8.12